package com.tptj.demo.hg.web.resource;

import com.fr.decision.web.CommonComponent;
import com.fr.web.struct.Atom;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-09
 * 1.登录页访问时，在login.js加载之前会加载（即在 Material.KEY 之后 ）
 * 2.进入平台主页面时加载，在平台自身主体JS加载之前（即在 Material.KEY 之后 ）
 * 3.进入平台地图配置时加载，在地图编辑自身主体JS加载之前（即在 Material.KEY 之后 ）
 * 4.http://localhost:8075/webroot/decision/directory
 * 5.http://localhost:8075/webroot/decision/user
 * 6.http://localhost:8075/webroot/decision/privilege
 * 7.http://localhost:8075/webroot/decision/timer
 * 8.http://localhost:8075/webroot/decision/workflow/authority
 * 9.http://localhost:8075/webroot/decision/v10/migration/page
 **/
public class CommonDemo extends Demo {

    @Override
    public Atom attach() {
        return CommonComponent.KEY;
    }

    @Override
    public Atom[] clients() {
        return demo("common");
    }
}
